import {Component, Input, OnInit} from '@angular/core';
import {SimpleState} from "../../../../game-model/gamesystems/SimpleState";
import {MatTableDataSource} from "@angular/material/table";

@Component({
  selector: 'app-simple-state-editor',
  templateUrl: './simple-state-editor.component.html',
  styleUrl: './simple-state-editor.component.scss'
})
export class SimpleStateEditorComponent implements OnInit{

  @Input() states: SimpleState[] = [];
  dataSource = new MatTableDataSource();
  displayedColumns = ["name", "initial", "edit", "delete"];

  ngOnInit() {
    this.dataSource.data = this.states;
  }
}
